package cn.com.poc.agent_application.convert;

import cn.com.poc.agent_application.entity.BizAgentApplicationCategoryEntity;
import cn.com.poc.agent_application.model.BizAgentApplicationCategoryModel;


public class BizAgentApplicationCategoryConvert {

    public static BizAgentApplicationCategoryEntity modelToEntity(BizAgentApplicationCategoryModel model) {
        BizAgentApplicationCategoryEntity entity = new BizAgentApplicationCategoryEntity();
        entity.setId(model.getId());
        entity.setCategory(model.getCategory());
        entity.setCategoryTw(model.getCategoryTw());
        entity.setCategoryEn(model.getCategoryEn());
        return entity;
    }

    public static BizAgentApplicationCategoryModel entityToModel(BizAgentApplicationCategoryEntity entity) {
        BizAgentApplicationCategoryModel model = new BizAgentApplicationCategoryModel();
        model.setId(entity.getId());
        model.setCategory(entity.getCategory());
        model.setCategoryTw(entity.getCategoryTw());
        model.setCategoryEn(entity.getCategoryEn());
        return model;
    }

//    public static BizAgentApplicationCategoryDto entityToDto(BizAgentApplicationCategoryEntity entity){
//        BizAgentApplicationCategoryDto dto = new BizAgentApplicationCategoryDto();
//        dto.setId(entity.getId());
//        dto.setCategory(entity.getCategory());
//        dto.setCategoryTw(entity.getCategoryTw());
//        dto.setCategoryEn(entity.getCategoryEn());
//        return dto;
//    }
//
//    public static BizAgentApplicationCategoryEntity dtoToEntity(BizAgentApplicationCategoryDto dto){
//        BizAgentApplicationCategoryEntity entity = new BizAgentApplicationCategoryEntity();
//        entity.setId(dto.getId());
//        entity.setCategory(dto.getCategory());
//        entity.setCategoryTw(dto.getCategoryTw());
//        entity.setCategoryEn(dto.getCategoryEn());
//        return entity;
//    }
}